package com.glxp.udidl.admin.controller.device;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.req.ListPageRequest;
import com.glxp.udidl.admin.service.DataSync.ProductInfoDlService;
import com.glxp.udidl.admin.service.info.FileInfoService;
import com.glxp.udidl.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@RestController
@RequestMapping("/file")
public class FileInfoController {
    @Autowired
    FileInfoService fileInfoService;
    @Autowired
    ProductInfoDlService productInfoDlService;
    @AuthRuleAnnotation("udidl_fileInfo_all")
    @PostMapping("/getlist")
    public BaseResponse getList(@RequestBody ListPageRequest param) {
        return fileInfoService.getList(param);
    }
    @AuthRuleAnnotation("udidl_fileInfo_all")
    @PostMapping("/exportToFile")
    public BaseResponse exportToFile(@DateTimeFormat(pattern = "yyyy-MM-dd") Date startDate, @DateTimeFormat(pattern = "yyyy-MM-dd") Date endDate) {
        return productInfoDlService.ExportToFile(startDate, endDate, "manual");
    }

}
