package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.BaseParam;
import com.glxp.udidl.admin.dto.udplat.UdplatDistributorModel;
import com.glxp.udidl.admin.service.udplat.UdplatDistributorService;
import com.glxp.udidl.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 配送企业
 */
@RestController
@RequestMapping("/udplat/distributor")
public class UdplatDistributorController {
    @Autowired
    private UdplatDistributorService udplatDistributorService;

    @AuthRuleAnnotation("udidl_udplatDistributor_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param){
        return udplatDistributorService.getList(param);
    }
    @AuthRuleAnnotation("udidl_udplatDistributor_all")
    @PostMapping("/import")
    public BaseResponse imports(@RequestBody List<UdplatDistributorModel> models){
        return udplatDistributorService.imports(models);
    }
}
