package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.BaseParam;
import com.glxp.udidl.admin.service.udplat.UdplatGoodsService;
import com.glxp.udidl.common.res.BaseResponse;
import com.glxp.udidl.common.util.ResultVOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 *目录清单
 */
@RestController
@RequestMapping("udplat/goods")
public class UdplatGoodsController {
    @Autowired
    private UdplatGoodsService udplatGoodsService;

    @AuthRuleAnnotation("udidl_udplatGoods_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param)
    {
        return udplatGoodsService.getList(param);
    }
    @AuthRuleAnnotation("udidl_udplatGoods_all")
    @PostMapping("/inport")
    public BaseResponse importExcel(MultipartFile file,int type){
        try
        {
            return udplatGoodsService.importExcel(file.getInputStream(),type);
        }catch (Exception e){
            return ResultVOUtils.error(-1,e.getMessage());
        }

    }
}
