package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.BaseParam;
import com.glxp.udidl.admin.dto.udplat.UdplatHospitalModel;
import com.glxp.udidl.admin.service.udplat.UdplatHospitalService;
import com.glxp.udidl.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/udplat/hospital")
public class UdplatHospitalController {
    @Autowired
    private UdplatHospitalService udplatHospitalService;

    @AuthRuleAnnotation("udidl_udplatHospital_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param){
        return udplatHospitalService.getList(param);
    }
    @AuthRuleAnnotation("udidl_udplatHospital_all")
    @PostMapping("/import")
    public BaseResponse imports(@RequestBody List<UdplatHospitalModel> models){
        return udplatHospitalService.imports(models);
    }
}
