package com.glxp.udidl.admin.service.info.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.glxp.udidl.admin.dao.info.FileInfoDao;
import com.glxp.udidl.admin.entity.info.FileInfoEntity;
import com.glxp.udidl.admin.req.ListPageRequest;
import com.glxp.udidl.admin.res.PageSimpleResponse;
import com.glxp.udidl.admin.service.info.FileInfoService;
import com.glxp.udidl.common.res.BaseResponse;
import com.glxp.udidl.common.util.ResultVOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FileInfoServiceImpl implements FileInfoService {
    @Autowired
    private FileInfoDao fileInfoDao;
    public BaseResponse getList(ListPageRequest param){
        PageHelper.startPage(param.getPage(),param.getLimit());
        List<FileInfoEntity> list = fileInfoDao.list();
        PageInfo<FileInfoEntity> pageInfo = new PageInfo<>(list);
        PageSimpleResponse<FileInfoEntity> pageSimpleResponse = new PageSimpleResponse<>();
        pageSimpleResponse.setTotal(pageInfo.getTotal());
        pageSimpleResponse.setList(list);
        return ResultVOUtils.success(pageSimpleResponse);
    }
    public int insert(FileInfoEntity fileInfoEntity){
        return  fileInfoDao.insert(fileInfoEntity);
    }
}
