package com.glxp.udidl.admin.service.udplat.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.glxp.udidl.admin.dao.udplat.UdplatDistributorMapper;
import com.glxp.udidl.admin.dto.udplat.BaseParam;
import com.glxp.udidl.admin.dto.udplat.UdplatDistributorModel;
import com.glxp.udidl.admin.entity.udplat.UdplatDistributor;
import com.glxp.udidl.admin.entity.udplat.UdplatLog;
import com.glxp.udidl.admin.res.PageSimpleResponse;
import com.glxp.udidl.admin.service.udplat.UdplatDistributorService;
import com.glxp.udidl.admin.service.udplat.UdplatLogService;
import com.glxp.udidl.admin.util.BeanUtils;
import com.glxp.udidl.admin.util.DateUtil;
import com.glxp.udidl.common.res.BaseResponse;
import com.glxp.udidl.common.util.ResultVOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class UdplatDistributorServiceImpl implements UdplatDistributorService {
    @Autowired
    private UdplatDistributorMapper mapper;
    @Autowired
    private UdplatLogService logService;
    @Override
    public BaseResponse getList(BaseParam param) {
        PageHelper.startPage(param.getPage(), param.getLimit());
        if (param.getEndDate() != null && !param.getEndDate().isEmpty())
            param.setEndDate(DateUtil.formatDate(DateUtil.addDays(DateUtil.parseDate(param.getEndDate()), 1)));
        List<UdplatDistributor> list = mapper.list(param);
        PageInfo<UdplatDistributor> pageInfo = new PageInfo<>(list);
        PageSimpleResponse<UdplatDistributor> pageSimpleResponse = new PageSimpleResponse<>();
        pageSimpleResponse.setTotal(pageInfo.getTotal());
        pageSimpleResponse.setList(list);
        return ResultVOUtils.success(pageSimpleResponse);
    }

    @Override
    public BaseResponse imports(List<UdplatDistributorModel> models) {
        if (models != null && models.size() > 0) {
            for (UdplatDistributorModel item : models) {
                UdplatDistributor entity = mapper.selectByDistributorId(item.getDistributorId());
                if (entity == null) {
                    BeanUtils.copyProperties(item, entity);
                    entity.setCreateTime(new Date());
                    mapper.insert(entity);
                }else
                {
                    BeanUtils.copyProperties(item, entity);
                    entity.setUpdateTime(new Date());
                    mapper.updateByPrimaryKey(entity);
                }
            }
        }
        UdplatLog udplatLog = new UdplatLog();
        udplatLog.setDownloadType("import");
        udplatLog.setTbName("udplat_distributor");
        udplatLog.setType("info");
        udplatLog.setMsg("执行成功！");
        udplatLog.setActionDate(DateUtil.parseDate(DateUtil.getDate()));
        udplatLog.setTotalCount(models.size());
        udplatLog.setCreateTime(new Date());
        logService.insert(udplatLog);
        return ResultVOUtils.success();
    }
}
